org.eclipse.viatra.query.runtime.matchers.util.timeline

## Class SingletonTimeline<Timestamp extends java.lang.Comparable<Timestamp>>

- java.lang.Object
- - org.eclipse.viatra.query.runtime.matchers.util.timeline.Timeline<Timestamp>
  - - org.eclipse.viatra.query.runtime.matchers.util.timeline.SingletonTimeline<Timestamp>

-     public class SingletonTimeline<Timestamp extends java.lang.Comparable<Timestamp>>
      extends Timeline<Timestamp>

  A timeline which solely consists of one timestamp value, representing a single insertion. Intuitively, a singleton timeline always represents a bump which starts at the given timestamp and lasts till plus infinity.
  Since:
    2.4

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Timestamp` | `start`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Iterable<Signed<Timestamp>>` | `asChangeSequence()`
    `Signed<Timestamp>` | `getSigned(int index)`
    `Timestamp` | `getUnsigned(int index)`
    `boolean` | `isEmpty()`
    `boolean` | `isPresentAtInfinity()`
    `int` | `size()`

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.matchers.util.timeline.Timeline

      `mergeAdditive, mergeMultiplicative, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### start

          protected final Timestamp extends java.lang.Comparable<Timestamp> start

  - ### Method Detail

    - #### getSigned

          public Signed<Timestamp> getSigned(int index)

      Specified by:
        `getSigned` in class `Timeline<Timestamp extends java.lang.Comparable<Timestamp>>`

    - #### getUnsigned

          public Timestamp getUnsigned(int index)

      Specified by:
        `getUnsigned` in class `Timeline<Timestamp extends java.lang.Comparable<Timestamp>>`

    - #### size

          public int size()

      Specified by:
        `size` in class `Timeline<Timestamp extends java.lang.Comparable<Timestamp>>`

    - #### isPresentAtInfinity

          public boolean isPresentAtInfinity()

      Specified by:
        `isPresentAtInfinity` in class `Timeline<Timestamp extends java.lang.Comparable<Timestamp>>`

    - #### asChangeSequence

          public java.lang.Iterable<Signed<Timestamp>> asChangeSequence()

      Specified by:
        `asChangeSequence` in class `Timeline<Timestamp extends java.lang.Comparable<Timestamp>>`

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in class `Timeline<Timestamp extends java.lang.Comparable<Timestamp>>`